Announcement

Collapse
No announcement yet.

Error upgrading 4.2.4 to 4.2.5 'Unexpected Text'. Can anyone help please

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Error upgrading 4.2.4 to 4.2.5 'Unexpected Text'. Can anyone help please


    Upgrades have always been straightforward, until today. Getting the following unexpected text message. Can anyone advise what I can do next. Thanks
    Unexpected Text:
    <?xml version="1.0" encoding="windows-1252"?> <br /> <b>Warning</b>: mysqli_query(): (42000/1064): You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near ' ) ) WHERE ipid IS NULL' at line 6 in <b>/home/cbrnet/public_html/forum/includes/class_core.php</b> on line <b>1386</b><br /> <?xml version="1.0" encoding="windows-1252"?> <errors> <error><![CDATA[<p>Database Error</p> Invalid SQL: SELECT bt.userid, bt.dateline, blogtextid, ipaddress, firstblogtextid FROM vb_blog_text bt JOIN vb_blog bl USING (blogid) LEFT JOIN vb_ipdata ip ON ( bt.ipaddress = ip.ipid AND bt.blogtextid = ip.contentid AND bt.userid = ip.userid AND ip.contenttypeid IN (, ) ) WHERE ipid IS NULL; You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near ' ) ) WHERE ipid IS NULL' at line 6]]></error> <error_html><![CDATA[<p>Database error in vBulletin 4.2.5</p> <p>Invalid SQL: SELECT bt.userid, bt.dateline, blogtextid, ipaddress, firstblogtextid FROM vb_blog_text bt JOIN vb_blog bl USING (blogid) LEFT JOIN vb_ipdata ip ON ( bt.ipaddress = ip.ipid AND bt.blogtextid = ip.contentid AND bt.userid = ip.userid AND ip.contenttypeid IN (, ) ) WHERE ipid IS NULL;<p> <p> <strong>MySQL Error</strong> : You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near ' ) ) WHERE ipid IS NULL' at line 6<br /> <strong>Error Number</strong> : 1064<br /> <strong>Request Date</strong> : Sunday, December 8th 2019 @ 12:07:52 PM<br /> <strong>Error Date</strong> : Sunday, December 8th 2019 @ 12:07:52 PM<br /> <strong>Script</strong> : http://www.cb1100r.net/forum/install/upgrade.php<br /> <strong>Referrer</strong> : http://www.cb1100r.net/forum/install/upgrade.php<br /> <strong>Classname</strong> : vB_Database_MySQLi<br /> <strong>MySQL Version</strong> : 10.2.29-MariaDB-log-cll-lve<br /> </p>]]></error_html> </errors>



  • #2
    You need to ensure that you have the 'Blog' product enabled in the products screen before running the upgrade.
    MARK.B | vBULLETIN SUPPORT

    TalkNewsUK - My vBulletin 5.5.6 Demo
    AdminAmmo - My Cloud Demo

    Comment


    • #3
      Thanks Mark. That's in the actual forum is it?

      Comment


      • #4
        Sorry Mark, I can't find the product screen you mention. I recall this but damned if I can locate it. Thanks for your help
        Last edited by cb1100r; Sun 8th Dec '19, 5:07am.

        Comment


        • #5
          FOUND IT !! Thankyou again

          Comment

          widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
          Working...
          X